Bug 1193179 - undefined method `report_results' while making a selection for 'classification' on the Optimize->Utilization page
Summary: undefined method `report_results' while making a selection for 'classificat...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.6.0
Assignee: Roman Blanco
QA Contact: Nandini Chandra
URL:
Whiteboard: ui:error:optimize
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-16 18:56 UTC by Nandini Chandra
Modified: 2017-12-05 15:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-18 15:58:48 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1234588 0 high CLOSED undefined method error when looking at bottlenecks under optimize using IE browser 2021-02-22 00:41:40 UTC

Internal Links: 1234588

Description Nandini Chandra 2015-02-16 18:56:45 UTC
Description of problem:
------------------------------
This error is seen while making a selection for the 'classification' drop-down on the Optimize->Utilization page.

Error text:

undefined method `report_results' for nil:NilClass [miq_capacity/util_chart_chooser]


Version-Release number of selected component (if applicable):
-------------------
5.3.3


How reproducible:
----------------
Always


Steps to Reproduce:
------------------
1.Enable C&U collection for a provider.
2.Tag a few hosts belonging to that provider.
3.Navigate to the Optimize->Utilization page.From the Utilization accordion,select a cluster that has a few tagged hosts.On the summary tab,make a selection for the 'Classification' option.

Actual results:
----------------
Error is seen.


Expected results:
---------------
No error should be seen


Additional info:
----------------

Comment 4 Dave Johnson 2016-02-18 15:58:48 UTC
This BZ is now over a year old, because of this, we are closing it.  If you feel like this is a mistake and it is still a issue, please reproduce it in the latest release and create a new BZ.


Note You need to log in before you can comment on or make changes to this bug.